Changeset 22226


Ignore:
Timestamp:
2010-07-16T05:43:38+02:00 (8 years ago)
Author:
nico
Message:

[packages] ruby: add dependency on libpthread to libruby, use minor version for library path (closes: #7608)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • packages/lang/ruby/Makefile

    r21570 r22226  
    1616 
    1717PKG_NAME:=ruby 
    18 PKG_LIBVER:=1.9.1 
    19 PKG_VERSION:=$(PKG_LIBVER)-p376 
    20 PKG_RELEASE:=2 
     18PKG_VERSION:=1.9.1-p376 
     19PKG_RELEASE:=3 
     20 
     21PKG_LIBVER:=1.9 
    2122 
    2223PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2 
    23 PKG_SOURCE_URL:=ftp://ftp.ruby-lang.org/pub/ruby/1.9/ 
     24PKG_SOURCE_URL:=ftp://ftp.ruby-lang.org/pub/ruby/$(PKG_LIBVER)/ 
    2425PKG_MD5SUM:=e019ae9c643c5efe91be49e29781fb94 
    2526 
     
    6061  CATEGORY:=Libraries 
    6162  TITLE+= (shared library) 
     63  DEPENDS+= +libpthread 
    6264endef 
    6365 
     
    204206        --enable-ipv6 \ 
    205207        --enable-wide-getaddrinfo \ 
    206  
    207 CONFIGURE_VARS += \ 
    208         ac_cv_func_setpgrp_void=yes 
     208        --with-ruby-version=minor \ 
    209209 
    210210TARGET_LDFLAGS += -L$(PKG_BUILD_DIR) 
Note: See TracChangeset for help on using the changeset viewer.